const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    companyInfo:{
      address:'',
      createTime:'',
      id:'',
      managerEmail:'',
      managerId:'',
      managerName:'',
      managerPhone:'',
      name:'',
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCompanyInfo();
  },
  getCompanyInfo(){
    var that = this;
    app.requestP({
      url:'/company/companyInfo',
      method:'post',
      contentType:' application/json',
    }).then(res=>{
      that.setData({
        companyInfo:res.data.data
      })
    }).catch(err=>{
      app.showToptip(that,'error',err.data.msg);
    })
  },
  editComPanyInfo(){
    var that = this;
    const companyInfoJson = JSON.stringify(that.data.companyInfo)
    wx.navigateTo({
      url: '/pages/userAuth/adminInfo?info='+companyInfoJson,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})